## texlive-doc 2012.20120611

=== Makefile ===
#	pstops "4:0L@0.8(22.5cm,-0.6cm)+1L@0.8(22.5cm,13.3cm),2L@0.8(22.5cm,-0.6cm)+3L@0.8(22.5cm,13.3cm)" \
SHELL = /bin/sh
VERS = 5.01

OTHER = README CHANGES
FILES = src/biblio.tex src/math.tex src/things.tex src/contrib.tex src/lshort.sty src/mylayout.sty src/title.tex \
	src/custom.tex src/lshort.tex src/overview.tex src/typeset.tex src/fancyhea.sty src/lssym.tex src/spec.tex \
	src/lshort-base.tex src/lshort-a5.tex src/graphic.tex

# Define some variables
LATEX=latex
PDFLATEX=pdflatex
MAKEINDEX=makeindex
DVIPS=dvips

# The default targets
all: lshort.pdf lshort-letter.pdf lshort-a5.pdf

lulu: lshort-body.pdf lshort-title.pdf


lshort.dvi: $(FILES)
	-mkdir texbuild
	(TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:} && export TEXINPUTS && cd texbuild && \
	$(LATEX) lshort && $(LATEX) lshort && $(MAKEINDEX) -s ../src/lshort.ist lshort; \
	$(LATEX) lshort && $(LATEX) lshort && mv lshort.dvi ..)

lshort-a5.dvi: $(FILES)
	-mkdir texbuild
	(TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:} && export TEXINPUTS && cd texbuild && \
	$(LATEX) lshort-a5 && $(LATEX) lshort-a5 && $(MAKEINDEX) -s ../src/lshort.ist lshort-a5; \
	$(LATEX) lshort-a5 && $(LATEX) lshort-a5 && mv lshort-a5.dvi ..)

lshort.ps: lshort.dvi
	(T1FONTS=.: && TEXFONTMAPS=.: && export T1FONTS TEXFONTMAPS && $(DVIPS) -j -Pcmz -olshort.ps lshort.dvi )
	rm texbuild/*

lshort-a5.ps: lshort-a5.dvi
	(T1FONTS=.: && TEXFONTMAPS=.: && export T1FONTS TEXFONTMAPS  && $(DVIPS) -j -Pcmz -ta5 -olshort-a5.ps lshort-a5.dvi )
	rm texbuild/*

lshort-book.ps: lshort.ps
	psbook lshort.ps out.ps 
	pstops "4:0L@0.8(22.76cm,-0.6cm)+1L@0.8(22.76cm,13.45cm),3R@0.8(-1.38cm,16.25cm)+2R@0.8(-1.38cm,30.3cm)" \
			out.ps lshort-book.ps
	rm out.ps

lshort-a5book.ps: lshort-a5.ps
	( psbook lshort-a5.ps | psnup -pa4 -s1 -2 | pstops "2:0,1U(21cm,29.7cm)" >lshort-a5book.ps )

lshort-a5book.pdf: lshort-a5book.ps
	 ps2pdf14 -sPAPERSIZE=a4 lshort-a5book.ps lshort-a5book.pdf

lshort.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort&& $(PDFLATEX) lshort&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort&&$(PDFLATEX) lshort&& \
	(thumbpdf --resolution 10 lshort.pdf && $(PDFLATEX) lshort)&& \
	mv lshort.pdf .. )
	rm pdfbuild/*

lshort-body.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-body && $(PDFLATEX) lshort-body && \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-body &&$(PDFLATEX) lshort-body&& \
	mv lshort-body.pdf .. )
	rm pdfbuild/*

lshort-title.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-title && $(PDFLATEX) lshort-title && \
	mv lshort-title.pdf .. )
	rm pdfbuild/*

lshort-a5.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-a5&& $(PDFLATEX) lshort-a5&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-a5&&$(PDFLATEX) lshort-a5&& \
	(thumbpdf --resolution 10 lshort-a5.pdf && $(PDFLATEX) lshort-a5)&& \
	mv lshort-a5.pdf .. )
	rm pdfbuild/*

lshort-letter.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:`pwd`/euro:`pwd`/oberdiek:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort-letter&& $(PDFLATEX) lshort-letter&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort-letter&&$(PDFLATEX) lshort-letter&& \
	(thumbpdf --resolution 10 lshort-letter.pdf && $(PDFLATEX) lshort-letter)&& \
	mv lshort-letter.pdf .. )
	rm pdfbuild/*

src/title.tex: Makefile fixdate.pl
	perl fixdate.pl $(VERS) < src/title.tex > src/title.tex2 && mv src/title.tex2 src/title.tex

quick: $(FILES)
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS)&& export TEXINPUTS&& cd texbuild&& \
        $(LATEX) lshort&& mv lshort.dvi ..)


tar:	$(FILES)
	ln -s . lshort-$(VERS)
	tar -zcvf lshort-$(VERS).src.tar.gz `awk '{print "lshort-$(VERS)/"$$1}' MANIFEST`
	rm lshort-$(VERS)

rsync:  all tar
	echo press enter to rsync
	read x
	rsync  lshort-$(VERS).src.tar.gz CHANGES README lshort.pdf lshort-letter.pdf lshort-a5.pdf james:public_html/latex/

dist:	rsync
	lftp -e 'cd incoming;mkdir lshort-$(VERS);cd lshort-$(VERS);mput lshort-$(VERS).src.tar.gz CHANGES README lshort-letter.pdf lshort-a5.pdf lshort.pdf;quit' ftp.tex.ac.uk
	(echo -e "Robin,\n\nI have uploaded lshort-$(VERS) to ftp.tex.ac.uk:/incoming/lshort-$(VERS).\n\nThanks and cheers\ntobi\n\n\n--";fortune -s shakes goethe) | mailx -s "Lshort Upload (note the quote)" ctan@dante.de
	(echo -e "Folks,\n\nI have created lshort-$(VERS). It is available from http://tobi.oetiker.ch/latex.\n\nCheers tobi\n\n\n--";fortune -s shakes goethe) | mailx -s "Lshort $(VERS)" `cat TRLIST`

clean:
	rm -rf texbuild pdfbuild

=== texmf-dist/doc/generic/FAQ-en/Makefile ===
# define variables WEB, WEB_BETA, CGI_BIN, HOME_DIR, CTAN_HOME, CTAN_ROOT
include locations.mk

# list of subdocuments of gather-faqbody
include subdocuments.mk

BODY	= gather-faqbody.tex filectan.tex dirctan.tex $(SUBDOCS)
MACROS	= faq.cls faq.sty
CONFIGS	= archive.cfg
CMFONTS	= cmz
PATCH   = newfaq-patch.tex add-general.tex add-hammond.tex
MAKEF	= Makefile

HTML_TAR = FAQ-html.tar.gz

LATEX	= latex
PDFLATEX = pdflatex

CTAN_HOME = help/uk-tex-faq

#h
#hThe main targets of this Makefile are
#h	release		build a distribution
#h
#h	patch		build latest patched version
#h
#h	ctan		install distribution on CTAN
#h			(to be run on the CTAN machine)
#h	web		install files required for web access
#h			(must be run on the machine that hosts
#h			the CGI script)
#h	web-index	web access files, just (dir|file)ctan
#h	web-beta	as web, except beta distribution
#h
#h	inst-perl	install texfaq2html and sanitize.pl
#h			in the cgi-bin directory
#h	inst-perl-beta	ditto, for texfaq2html-beta, sanitize-beta
#h	inst-perl-gamma	ditto, for texfaq2html-gamma
#h
#h	html		make html files in html/
#h	html-gamma	make html files in html, copy for -gamma tests

help:;	@sed -n 's/^#h//p' < $(MAKEF)

release: all html-tar
all:	newfaq.pdf letterfaq.pdf

# did have faqfont.cfg in here, but that caused problems, since it
# typically doesn't exist...

# pdf generation has to be done one a different base file name because
# of incompatibilities in the .aux and .toc files
newfaq.pdf: newfaq.tex $(BODY) $(MACROS) $(CONFIGS)
	ln -sf newfaq.tex ./pdf-newfaq.tex
	rm -f faqfont.cfg
	while ( \
	  $(PDFLATEX) \\def\\Status{1} \\input pdf-newfaq ; \
	  grep "Rerun to get cross" pdf-newfaq.log > /dev/null ) do true ; \
        done
	thumbpdf pdf-newfaq
	$(PDFLATEX) \\def\\Status{1} \\input pdf-newfaq
	mv pdf-newfaq.pdf newfaq.pdf
	rm pdf-newfaq.tex

letterfaq.pdf: letterfaq.tex $(BODY) $(MACROS) $(CONFIGS)
	ln -sf letterfaq.tex ./pdf-letterfaq.tex
	rm -f faqfont.cfg
	while ( \
	  $(PDFLATEX) \\def\\Status{1} \\input pdf-letterfaq ; \
	  grep "Rerun to get cross" pdf-letterfaq.log > /dev/null ) do true ; \
        done
	thumbpdf pdf-letterfaq
	$(PDFLATEX) \\def\\Status{1} \\input pdf-letterfaq
	mv pdf-letterfaq.pdf letterfaq.pdf
	rm pdf-letterfaq.tex

patch:	newfaq-patch

newfaq-patch: newfaq-patch.pdf newfaq-patch.ps

patch.pdf: newfaq-patch.pdf

newfaq-patch.pdf: $(PATCH) $(BODY) $(MACROS) $(CONFIGS)
	./find-add-files
	ln -sf newfaq-patch.tex ./pdf-newfaq-patch.tex
	rm -f faqfont.cfg
	while ( \
	  $(PDFLATEX) \\def\\Status{1} \\input pdf-newfaq-patch ; \
	  grep "Rerun to get cross" pdf-newfaq-patch.log > /dev/null ) do true ; \
        done
	thumbpdf pdf-newfaq-patch
	$(PDFLATEX) \\def\\Status{1} \\input pdf-newfaq-patch
	mv pdf-newfaq-patch.pdf newfaq-patch.pdf
	ln -sf newfaq-patch.pdf patch.pdf
	rm pdf-newfaq-patch.tex

patch.dvi: newfaq-patch.dvi

newfaq-patch.dvi: $(PATCH) $(BODY) $(MACROS) $(CONFIGS)
	./find-add-files
	while ( \
	  $(LATEX) newfaq-patch ; \
	  grep "Rerun to get cross" newfaq-patch.log > /dev/null ) do true ; \
        done
	ln -sf newfaq-patch.dvi patch.dvi

newfaq.aux: newfaq.dvi

newfaq.dvi: newfaq.tex $(BODY) $(MACROS) $(CONFIGS)
	echo $(LATEX)
	while ( \
	  $(LATEX) newfaq ; \
	  grep "Rerun to get cross" newfaq.log > /dev/null ) do true ; \
        done

letterfaq.dvi: letterfaq.tex $(BODY) $(MACROS) $(CONFIGS)
	while ( \
	  $(LATEX) letterfaq ; \
	  grep "Rerun to get cross" letterfaq.log > /dev/null ) do true ; \
        done

newfaq-cm.dvi: newfaq.tex $(BODY) $(MACROS) $(CONFIGS)
	ln -sf faqfont.cfg.cmfonts faqfont.cfg
	ln -sf newfaq.tex newfaq-cm.tex
	while ( \
	  $(LATEX) newfaq-cm ; \
	  grep "Rerun to get cross" newfaq-cm.log > /dev/null ) do true ; \
        done
	rm faqfont.cfg newfaq-cm.tex

letterfaq-cm.dvi: letterfaq.tex $(BODY) $(MACROS) $(CONFIGS)
	ln -sf faqfont.cfg.cmfonts faqfont.cfg
	ln -sf letterfaq.tex letterfaq-cm.tex
	while ( \
	  $(LATEX) letterfaq-cm ; \
	  grep "Rerun to get cross" letterfaq-cm.log > /dev/null ) do true ; \
        done
	rm faqfont.cfg letterfaq-cm.tex

$(HTML_TAR):
	tar czvf $(HTML_TAR) html/*

ctan:	$(HTML_TAR)
	(cd $(CTAN_ROOT)/$(CTAN_HOME); \
	 really -u ctan make -f /home/rf/tex/faq/Makefile.CTAN)

# faqbody for all the webbery stuff
faqbody.tex:	$(SUBDOCS) gather-faqbody.tex
	./build-faqbody

web: $(WEB)/dirctan.tex $(WEB)/filectan.tex $(WEB)/faqbody.tex $(WEB)/newfaq.aux $(WEB)/archive.list

web-index: $(WEB)/dirctan.tex $(WEB)/filectan.tex

$(WEB)/dirctan.tex: dirctan.tex
$(WEB)/filectan.tex: filectan.tex
$(WEB)/faqbody.tex: faqbody.tex
$(WEB)/newfaq.aux: newfaq.aux
$(WEB)/archive.list: archive.list
$(WEB)/aliasquestion.list: aliasquestion.list
$(WEB)/label-to-file.pl: label-to-file.pl

$(WEB)/dirctan.tex $(WEB)/filectan.tex $(WEB)/faqbody.tex $(WEB)/newfaq.aux $(WEB)/archive.list $(WEB)/aliasquestion.list $(WEB)/label-to-file.pl:
	if [ -f $@ ]; then	\
	  chmod 644 $@; 	\
	  cp -p $< $@-t;	\
	  mv $@-t $@;		\
	else			\
	  cp -p $< $@;		\
	fi
	chmod 444 $@

web-beta: $(WEB_BETA)/dirctan.tex $(WEB_BETA)/filectan.tex $(WEB_BETA)/faqbody.tex $(WEB_BETA)/newfaq.aux $(WEB_BETA)/archive.list $(WEB_BETA)/aliasquestion.list $(WEB_BETA)/label-to-file.pl

$(WEB_BETA)/dirctan.tex: dirctan.tex
$(WEB_BETA)/filectan.tex: filectan.tex
$(WEB_BETA)/faqbody.tex: faqbody.tex
$(WEB_BETA)/newfaq.aux: newfaq.aux
$(WEB_BETA)/archive.list: archive.list
$(WEB_BETA)/aliasquestion.list: aliasquestion.list
$(WEB_BETA)/label-to-file.pl: label-to-file.pl

$(WEB_BETA)/dirctan.tex $(WEB_BETA)/filectan.tex $(WEB_BETA)/faqbody.tex $(WEB_BETA)/newfaq.aux $(WEB_BETA)/archive.list $(WEB_BETA)/aliasquestion.list $(WEB_BETA)/label-to-file.pl:
	if [ -f $@ ]; then	\
	  chmod 644 $@;		\
	  cp -p $< $@-t;	\
	  mv $@-t $@;		\
	else			\
	  cp -p $< $@;		\
	fi
	chmod 444 $@

inst-perl: $(CGI_BIN)/texfaq2html $(CGI_BIN)/sanitize.pl
inst-perl-beta: $(CGI_BIN)/texfaq2html-beta $(CGI_BIN)/sanitize-beta.pl
inst-perl-gamma: $(CGI_BIN)/texfaq2html-gamma

$(CGI_BIN)/texfaq2html: $(HOME_DIR)/texfaq2html
$(CGI_BIN)/texfaq2html-beta: $(HOME_DIR)/texfaq2html-beta
$(CGI_BIN)/texfaq2html-gamma: $(HOME_DIR)/texfaq2html-gamma
$(CGI_BIN)/sanitize.pl: $(HOME_DIR)/sanitize.pl
$(CGI_BIN)/sanitize-beta.pl: $(HOME_DIR)/sanitize-beta.pl

$(CGI_BIN)/texfaq2html $(CGI_BIN)/texfaq2html-beta $(CGI_BIN)/texfaq2html-gamma $(CGI_BIN)/sanitize.pl $(CGI_BIN)/sanitize-beta.pl:
	co -l $@
	cp -p $? $@
	ci -u -m"automatic check-in" $@

html:	$(HTMLDIR)/index.html

$(HTMLDIR)/index.html: $(BODY) newfaq.aux faqbody.tex
	./texfaq2file

html-tar: html
	tar czf FAQ-html.tar.gz $(HTMLDIREL)/

html-gamma:	$(HTMLDIR_GAMMA)/index.html

$(HTMLDIR_GAMMA)/index.html: $(BODY) newfaq.aux faqbody.tex
	./texfaq2file -2 -w
	cp -p $(HTMLDIR_GAMMA)/* $(GAMMADIR)/

clean:
	rm -f *.pdf *.dvi *.log *.bak *.toc *.out *.lab *.tpt *.png
	rm -f *.aux html/*.html html_gamma/*.html htmltext/*.txt
	rm -f pdf-newfaq*.tex comment.cut additions.tex aliasquestion.list
	rm -f faqbody.tex FAQ-html.tar.gz

=== texmf-dist/doc/latex/latex2e-help-texinfo/Makefile ===
# Public domain.  Originally written 2006, Karl Berry.
# Makefile for latexrefman.

texi2dvi = texi2dvi --batch --tidy --build-dir=$*.t2dvi
texi2pdf = texi2pdf --batch --tidy --build-dir=$*.t2pdf
#
makeinfo = makeinfo
texi2docbook = $(makeinfo) --docbook
texi2html = $(makeinfo) --html --no-split
texi2info = $(makeinfo) --no-split
texi2txt = $(makeinfo) --plaintext --no-split -o $@
texi2xml = $(makeinfo) --xml

%.pdf: %.texi
	$(texi2pdf) $<
%.dvi: %.texi
	$(texi2dvi) $<
%.dbk: %.texi
	$(texi2docbook) -o $@ $<
%.html: %.texi
	$(texi2html) $<
%.info: %.texi
	$(texi2info) $<
%.txt: %.texi
	$(texi2txt) $<
%.xml: %.texi
	$(texi2xml) $<

en_tex_output = latex2e.dvi latex2e.pdf
es_tex_output = latex2e-es.dvi latex2e-es.pdf
tex_output = $(en_tex_output) $(es_tex_output)
#
en_makeinfo_output = latex2e.info latex2e.html latex2e.txt \
                     latex2e.xml  latex2e.dbk
es_makeinfo_output = latex2e-es.info latex2e-es.html latex2e-es.txt \
                     latex2e-es.xml  latex2e-es.dbk
makeinfo_output = $(en_makeinfo_output) $(es_makeinfo_output)

all: makeinfo_output tex_output
makeinfo_output: $(makeinfo_output)
tex_output: $(tex_output)

mostlyclean clean:
	rm -rf latex2e.t2*

realclean distclean: clean
	rm -f $(all)

dist: all
	@rm -f spanish; ln -s . spanish
	tar cvzf latex2e-help-texinfo.tgz \
	  ChangeLog Makefile NEWS README ltx-help.el \
	  latex2e.texi $(en_makeinfo_output) latex2e.pdf \
    $(addprefix spanish/, latex2e-es.texi $(es_makeinfo_output) latex2e-es.pdf)
	@rm -f spanish
	@ls -l latex2e-help-texinfo.tgz

=== texmf-dist/doc/latex/lshort-spanish/fuente/Makefile ===
#	pstops "4:0L@0.8(22.5cm,-0.6cm)+1L@0.8(22.5cm,13.3cm),2L@0.8(22.5cm,-0.6cm)+3L@0.8(22.5cm,13.3cm)" \
SHELL = /bin/sh
VERS = 4.20

OTHER = LEEME CAMBIOS
FILES = src/biblio.tex src/math.tex src/things.tex src/contrib.tex src/lshort.sty src/mylayout.sty src/title.tex \
	src/custom.tex src/lshort.tex src/overview.tex src/typeset.tex src/fancyhea.sty src/lssym.tex src/spec.tex \
	src/lshort-base.tex src/lshort-a5.tex src/graphic.tex

# Define some variables
LATEX=latex
PDFLATEX=pdflatex
MAKEINDEX=makeindex
DVIPS=dvips

# The default targets
all: lshort.ps lshort-book.ps lshort.pdf lshort-a5book.pdf


lshort.dvi: $(FILES)
	-mkdir texbuild
	(TEXINPUTS=.:`pwd`/src:${TEXINPUTS:-:} && export TEXINPUTS && cd texbuild && \
	$(LATEX) lshort && $(LATEX) lshort && $(MAKEINDEX) -s ../src/lshort.ist lshort; \
	$(LATEX) lshort && $(LATEX) lshort && mv lshort.dvi ..)

lshort-a5.dvi: $(FILES)
	-mkdir texbuild
	(TEXINPUTS=.:`pwd`/src:${TEXINPUTS:-:} && export TEXINPUTS && cd texbuild && \
	$(LATEX) lshort-a5 && $(LATEX) lshort-a5 && $(MAKEINDEX) -s ../src/lshort.ist lshort-a5; \
	$(LATEX) lshort-a5 && $(LATEX) lshort-a5 && mv lshort-a5.dvi ..)

lshort.ps: lshort.dvi
	(T1FONTS=.:`pwd`/eurofont: && TEXFONTMAPS=.:`pwd`/eurofont: && export T1FONTS TEXFONTMAPS && $(DVIPS) -j -Pcmz -olshort.ps lshort.dvi )
	rm texbuild/*

lshort-a5.ps: lshort-a5.dvi
	(T1FONTS=.:`pwd`/eurofont: && TEXFONTMAPS=.:`pwd`/eurofont: && export T1FONTS TEXFONTMAPS  && $(DVIPS) -j -Pcmz -ta5 -olshort-a5.ps lshort-a5.dvi )
	rm texbuild/*

lshort-book.ps: lshort.ps
	psbook lshort.ps out.ps 
	pstops "4:0L@0.8(22.76cm,-0.6cm)+1L@0.8(22.76cm,13.45cm),3R@0.8(-1.38cm,16.25cm)+2R@0.8(-1.38cm,30.3cm)" \
			out.ps lshort-book.ps
	rm out.ps

lshort-a5book.ps: lshort-a5.ps
	( psbook lshort-a5.ps | psnup -pa4 -s1 -2 | pstops "2:0,1U(21cm,29.7cm)" >lshort-a5book.ps )

lshort-a5book.pdf: lshort-a5book.ps
	 ps2pdf14 -sPAPERSIZE=a4 lshort-a5book.ps lshort-a5book.pdf

lshort.pdf: $(FILES)
	-mkdir pdfbuild
	(T1FONTS=.:`pwd`/eurofont: && export T1FONTS && TEXINPUTS=.:`pwd`/src:${TEXINPUTS:-:}&&export TEXINPUTS&& cd pdfbuild&& \
	$(PDFLATEX) lshort&& $(PDFLATEX) lshort&& \
	$(MAKEINDEX) -s ../src/lshort.ist lshort&&$(PDFLATEX) lshort&& \
	(thumbpdf --resolution 10 lshort.pdf && $(PDFLATEX) lshort)&& \
	mv lshort.pdf .. )
	rm pdfbuild/*

src/title.tex: Makefile
	perl fixdate.pl $(VERS) < src/title.tex > src/title.tex2 && mv src/title.tex2 src/title.tex

quick: $(FILES)
	(TEXINPUTS=`pwd`/src:$(TEXINPUTS)&& export TEXINPUTS&& cd texbuild&& \
        $(LATEX) lshort&& mv lshort.dvi ..)


tar:	$(FILES)
	ln -s . lshort-$(VERS)
	gtar -zcvf lshort-$(VERS).src.tar.gz `awk -e '{print "lshort-$(VERS)/"$$1}' MANIFEST`
	rm lshort-$(VERS)

dist:	all tar
	cp lshort-$(VERS).src.tar.gz CHANGES README lshort-book.ps lshort.dvi lshort.pdf lshort.ps $(HOME)/public_html/lshort/
	lftp -e 'cd incoming;mkdir lshort-$(VERS);cd lshort-$(VERS);mput lshort-$(VERS).src.tar.gz CHANGES README lshort-book.ps lshort.dvi lshort.pdf lshort.ps;quit' ftp.tex.ac.uk
	(gecho -e "Robin,\n\nI have uploaded lshort-$(VERS) to ftp.tex.ac.uk:/incoming/lshort-$(VERS).\n\nIf you think it is appropriate, announce it please.\n\nThanks and cheers\ntobi\n\n\n--";fortune -s shakes goethe) | mailx -s "Lshort Upload (note the quote)" ctan@dante.de
	(gecho -e "Folks,\n\nI have created lshort-$(VERS). It is available from http://people.ee.ethz.ch/oetiker/lshort.\n\nCheers tobi\n\n\n--";fortune -s shakes goethe) | mailx -s "Lshort $(VERS)" `cat TRLIST`

clean:
	rm -rf texbuild pdfbuild

=== debian/changelog ===
texlive-doc (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:01:49 +0900

texlive-doc (2012.20120529-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 19:18:42 +0900

texlive-doc (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * switch to xz compression for orig and deb

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:22:00 +0900

texlive-doc (2011.20120509-1) unstable; urgency=low

  * new upstream snapshot

 -- Norbert Preining <preining@debian.org>  Wed, 25 Apr 2012 12:01:04 +0900

texlive-doc (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 08:38:21 +0900

texlive-doc (2011.20120322-1) unstable; urgency=low

  * new upstream releases, upload to unstable

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 08:37:36 +0900

texlive-doc (2011.20120314-1) experimental; urgency=low

  * new upstream with proper blacklist handling

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:52:00 +0900

texlive-doc (2011.20120226-1) experimental; urgency=low

  * new upstream, too many changes

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 21:33:16 +0900

texlive-doc (2007.dfsg.1-1) unstable; urgency=medium

  * bump standards version to 3.8.0:
    - rename README.Debian-source to README.source an explain how to change
      something using quilt by refering to the quilt README.source
    - add homepage field to control
    - add a patch target to debian/rules
  * add dversionmangle to debian/watch file to ignore the .dfsg.NN suffix
  * blacklist catalogue.tpm, the source is not present and in addition
    not completely free. So we drop the Catalogue, as it is also dropped
    upstream for TL2008. (Closes: #487149) [np]
    That needs a new .orig.tar.gz, and urgency medium since it is RC

 -- Norbert Preining <preining@debian.org>  Thu, 26 Jun 2008 23:12:35 +0200

texlive-doc (2007-4) unstable; urgency=low

  * add stricter dependencies to all packages: if in the final shipout
    dep on a texlive package there is no version given, the value of
    latest-version (from tpm2deb.cfg) of the source package is taken.
  * Update location of upstream iso.zip file in uscan watch file (closes:
    #449630), thanks to Raphael Geissert <atomo64@gmail.com> [fk]
  * bump standards version to 3.7.3, no changes needed
  * fix the spelling of the gentle description (Closes: #469931)
  * add the LPPL to debian/copyright

 -- Norbert Preining <preining@debian.org>  Sat, 19 Apr 2008 20:07:57 +0200

texlive-doc (2007-3) unstable; urgency=low

  * rename texlive-doc-ch to texlive-doc-zh, what a stupid error
    and let texlive-doc-zh replace and conflict texlive-doc-ch

 -- Norbert Preining <preining@debian.org>  Mon, 14 May 2007 10:42:07 +0200

texlive-doc (2007-2) unstable; urgency=low

  * first upload of TeX Live 2007 to unstable
  * do not compress documentation pdf files (Closes: #407979)

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2007 18:16:00 +0200

texlive-doc (2007-1) experimental; urgency=low

  * new upstream version

 -- Norbert Preining <preining@debian.org>  Wed, 21 Mar 2007 17:03:33 +0100

texlive-doc (2005.dfsg.2-1) unstable; urgency=medium

  * change the uploader field to my debian.org email address
  * regenerating orig.tar.gz to be in sync with the other packages
  * urgency set to medium to get these fixes to testing

 -- Norbert Preining <preining@debian.org>  Mon,  9 Oct 2006 11:19:18 +0200

texlive-doc (2005.dfsg.1-1) unstable; urgency=low

  * add lintian override for wrong-name-for-upstream-changelog triggered
    by CHANGES.packaging
  * change maintainer to debian-tex-maint@l.d.o
  * report bugs together with tex-common, and report status of the
    tetex packages. Fix some small things in bug.scripts.

 -- Norbert Preining <preining@logic.at>  Mon,  4 Sep 2006 10:42:37 +0200

texlive-doc (2005-2) unstable; urgency=low

  * first upload to unstable, sponsored by 
    Frank Küster <frank@debian.org>
  * texdoc support
    - let tetex texdoc find documentation of texlive (Closes: #364776)
    - include tetex texdoc patches (following of symlinks, security
      fixes) (Closes: #356390)
  * texlive-lang-polish conflicts with octave-forge as both provide
    /usr/bin/mex, this is preliminary, a better solution must be
    sought (Closes: #364059)
  * change shell for the reportbug script to bash (Closes: #356391)
  * fix installation of thumbpdf and pdfcrop (Closes: #352092)
  * improve various descriptions (Closes: #354964)
  * call the update-* programs in all postinst scripts, so that the
    config files do not contain left-overs (Closes: #355266)
  * fix creation of formats which in turn depend on the latex format
    (Closes: #351707)
  * remap the ibycus4.map TeX/MF input file from the fonts/map location
    to the fonts/source location (Closes: #354652)
  * depend on the updated lmodern package, thus making the fonts
    available for X (Closes: #351727)
  * lots of internal changes, important ones being:
    - texlive packages now do not include files which have been
      packaged for Debian already (eg cm-super, lmodern, musixtex)
    - most packages can be used together with teTeX
    - fix several upstream bugs
    - generate license information for each file from the
      TeX Catalogue (ongoing work)
    for detailed changes see CHANGES.packaging in texlive-common

 -- Norbert Preining <preining@logic.at>  Thu, 11 May 2006 00:12:10 +0200

texlive-doc (2005-1) experimental; urgency=low

  * First upload to experimental (Closes: #312897)

 -- Norbert Preining <preining@logic.at>  Thu, 12 Jan 2006 17:30:22 +0100

# vim:set fileencoding=utf-8: #
# Local Variables:
# coding: utf-8
# mode: debian-changelog
# End:

=== debian/control ===
Source: texlive-doc
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-doc-base
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: TeX Live documentation
 This package includes the following CTAN packages:
  texlive-docindex -- top-level TeX Live doc.html, etc.
  texlive-en -- TeX Live manual (English)

Package: texlive-doc-ar
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Arabic documentation
 This package includes the following CTAN packages:
  lshort-persian -- Persian (Farsi) introduction to LaTeX.

Package: texlive-doc-bg
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Bulgarian documentation
 This package includes the following CTAN packages:
  lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
   LaTeX2e".
  pst-eucl-translation-bg -- Bulgarian translation of the pst-eucl
   documentation.

Package: texlive-doc-zh
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Chinese documentation
 This package includes the following CTAN packages:
  asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation).
  asymptote-by-example-zh-cn -- Asymptote by example.
  asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual.
  ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org).
  latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX.
  lshort-chinese -- Introduction to LaTeX, in Chinese.
  texlive-zh-cn -- TeX Live manual (Chinese)

Package: texlive-doc-cs+sk
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Czech/Slovak documentation
 This package includes the following CTAN packages:
  lshort-czech -- Czech translation of the "Short Introduction to LaTeX2e".
  lshort-slovak -- Slovak introduction to LaTeX.
  texlive-cz -- TeX Live manual (Czech/Slovak)

Package: texlive-doc-nl
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Dutch documentation
 This package includes the following CTAN packages:
  lshort-dutch -- Introduction to LaTeX in Dutch.

Package: texlive-doc-en
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: English documentation
 This package includes the following CTAN packages:
  FAQ-en -- A compilation of Frequently Asked Questions with answers.
  MemoirChapStyles -- Chapter styles in memoir class.
  Type1fonts -- Font installation guide.
  amslatex-primer -- Getting up and running with AMS-LaTeX.
  around-the-bend -- Typeset exercises in TeX, with answers.
  ascii-chart -- An ASCII wall chart.
  components-of-TeX -- Components of TeX.
  comprehensive -- Symbols accessible from LaTeX.
  dtxtut -- Tutorial on writing .dtx and .ins files
  first-latex-doc -- A document for absolute LaTeX beginners.
  gentle -- A Gentle Introduction to TeX.
  guide-to-latex --
  happy4th -- A firework display in obfuscated TeX.
  impatient -- Free edition of the book "TeX for the Impatient"
  intro-scientific -- Introducing scientific/mathematical documents using
   LaTeX.
  knuth -- Knuth's published errata.
  l2tabu-english -- English translation of "Obsolete packages and commands".
  latex-course -- A LaTeX course as a projected presentation.
  latex-doc-ptr -- A direction-finder for LaTeX documentation.
  latex-graphics-companion -- Examples from The LaTeX Graphics Companion.
  latex-veryshortguide -- The Very Short Guide to LaTeX.
  latex-web-companion -- Examples from The LaTeX Web Companion.
  latex2e-help-texinfo -- Unoffical reference manual covering LaTeX2e.
  latex4wp -- A LaTeX guide specifically designed for word processor users.
  latexcheat -- A LaTeX cheat sheet.
  latexfileinfo-pkgs -- A comparison of packages showing LaTeX file
   information.
  lshort-english -- A (Not So) Short Introduction to LaTeX2e.
  macros2e -- A list of internal LaTeX2e macros.
  math-e -- Examples from the book Typesetting Mathematics with LaTeX.
  mathmode -- A comprehensive review of mathematics in (La)TeX.
  memdesign -- Notes on book design
  metafont-beginners -- An introductory tutorial for MetaFont.
  metapost-examples -- Example drawings using MetaPost.
  mil3 -- Samples from Math into LaTeX, third edition.
  patgen2-tutorial -- A tutorial on the use of Patgen 2.
  pictexsum -- A summary of PicTeX commands.
  plain-doc -- A list of plain.tex cs names.
  pstricks-examples-en -- Examples from PSTricks book (English edition).
  pstricks-tutorial --
  simplified-latex -- A Simplified Introduction to LaTeX.
  svg-inkscape -- How to include an SVG image in LaTeX using Inkscape.
  tabulars-e -- Examples from the book "Typesetting tables with LaTeX".
  tamethebeast -- A manual about bibliographies and especially BibTeX.
  tds -- The TeX Directory Structure standard.
  tex-font-errors-cheatsheet -- Cheat sheet outlining the most common TeX
   font errors.
  tex-overview -- An overview of the development of TeX.
  tex-refs -- References for TeX and Friends
  texbytopic -- Freed version of the book TeX by Topic.
  titlepages -- Sample titlepages, and how to code them.
  tlc2 -- Examples from "The LaTeX Companion", second edition.
  visualfaq -- A Visual LaTeX FAQ.
  webguide -- Brief Guide to LaTeX Tools for Web publishing.
  xetexref -- Reference documentation of XeTeX.

Package: texlive-doc-fi
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Finnish documentation
 This package includes the following CTAN packages:
  lshort-finnish -- Finnish introduction to LaTeX.

Package: texlive-doc-fr
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: French documentation
 This package includes the following CTAN packages:
  apprends-latex -- Apprends LaTeX!
  epslatex-fr -- French version of "graphics in LaTeX".
  impatient-fr -- Free edition of the book "TeX for the Impatient"
  l2tabu-french -- French translation of l2tabu.
  lshort-french -- Short introduction to LaTeX, French translation.
  texlive-fr -- TeX Live manual (French)
  translation-array-fr -- French translation of the documentation of array.
  translation-dcolumn-fr -- French translation of the documentation of
   dcolumn.
  translation-natbib-fr -- French translation of the documentation of natbib.
  translation-tabbing-fr -- French translation of the documentation of
   Tabbing.

Package: texlive-doc-de
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: German documentation
 This package includes the following CTAN packages:
  einfuehrung -- Examples from the book Einfuhrung in LaTeX.
  fifinddo-info -- German HTML beamer presentation on nicetext and morehype.
  kopka --
  l2picfaq -- LaTeX pictures "how-to" (German).
  l2tabu -- Obsolete packages and commands.
  latex-bib-ex -- Examples for the book Bibliografien mit LaTeX.
  latex-referenz -- Examples from the book "LaTeX Referenz".
  latex-tabellen -- LaTeX Tabellen.
  lshort-german -- German version of A Short Introduction to LaTeX2e:
   LaTeX2e-Kurzbeschreibung.
  presentations -- Examples from the book Presentationen mit LaTeX.
  pstricks-examples -- PSTricks examples.
  templates-fenn -- Templates for TeX usage.
  templates-sommer -- Templates for TeX usage.
  texlive-de -- TeX Live manual (German)
  translation-arsclassica-de -- German version of arsclassica.
  translation-biblatex-de -- German translation of the documentation of
   biblatex.
  translation-chemsym-de -- German version of chemsym.
  translation-ecv-de -- German version of evc.
  translation-enumitem-de -- Enumitem documentation, in German.
  translation-europecv-de -- German version of europecv.
  translation-filecontents-de -- German version of filecontents.
  translation-moreverb-de -- German version of moreverb.
  voss-de --

Package: texlive-doc-it
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Italian documentation
 This package includes the following CTAN packages:
  amsldoc-it --
  amsmath-it -- Italian translations of some old AMSmath documents.
  amsthdoc-it --
  fancyhdr-it -- Italian translation of fancyhdr documentation.
  l2tabu-italian -- Italian Translation of Obsolete packages and commands
  latex4wp-it --
  lshort-italian -- Introduction to LaTeX in Italian.
  psfrag-italian -- PSfrag documentation in Italian.
  texlive-it -- TeX Live manual (Italian)

Package: texlive-doc-ja
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Japanese documentation
 This package includes the following CTAN packages:
  lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e

Package: texlive-doc-ko
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Korean documentation
 This package includes the following CTAN packages:
  lshort-korean -- Korean introduction to LaTeX.

Package: texlive-doc-mn
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Mongolian documentation
 This package includes the following CTAN packages:
  lshort-mongol -- Short introduction to LaTeX, in Mongolian.

Package: texlive-doc-pl
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Polish documentation
 This package includes the following CTAN packages:
  lshort-polish -- Introduction to LaTeX in Polish.
  tex-virtual-academy-pl --
  texlive-pl -- TeX Live manual (Polish)

Package: texlive-doc-pt
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Portuguese documentation
 This package includes the following CTAN packages:
  beamer-tut-pt -- An introduction to the Beamer class, in Portuguese.
  cursolatex -- A LaTeX tutorial.
  latexcheat-ptbr -- A LaTeX cheat sheet, in Brazilian Portuguese.
  lshort-portuguese -- Introduction to LaTeX in Portuguese.
  xypic-tut-pt -- A tutorial for XY-pic, in Portuguese.

Package: texlive-doc-ru
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Russian documentation
 This package includes the following CTAN packages:
  lshort-russian -- Russian introduction to LaTeX.
  mpman-ru -- A Russian translation of the MetaPost manual.
  texlive-ru -- TeX Live manual (Russian)

Package: texlive-doc-si
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Slovenian documentation
 This package includes the following CTAN packages:
  lshort-slovenian -- Slovenian translation of lshort.

Package: texlive-doc-rs
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Serbian documentation

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-doc
# $Id: rules.in 5480 2012-05-16 01:30:56Z preining $

PACKAGES=texlive-doc-base texlive-doc-ar texlive-doc-bg texlive-doc-zh texlive-doc-cs+sk texlive-doc-nl texlive-doc-en texlive-doc-fi texlive-doc-fr texlive-doc-de texlive-doc-it texlive-doc-ja texlive-doc-ko texlive-doc-mn texlive-doc-pl texlive-doc-pt texlive-doc-ru texlive-doc-si texlive-doc-rs texlive-doc-es texlive-doc-th texlive-doc-tr texlive-doc-uk texlive-doc-vi
METAPACKAGES=

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats} ; \
	done
	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  if [ -d debian/$$i.root ] ; then bash debian/merge-dist-tree debian/$$i.root debian/$$i ; fi ; \
	  bash debian/generate-license-file $$i ; \
	  install -D --mode=644 debian/$$i.override debian/$$i/usr/share/lintian/overrides/$$i ; \
	  install -D --mode=755 debian/bug.script debian/$$i/usr/share/bug/$$i/script ; \
	  install -D --mode=644 debian/bug.control debian/$$i/usr/share/bug/$$i/control ; \
	  bash debian/create-doc-links $$i texlive-doc > debian/$$i.links ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	  if [ -r debian/$$i.README ] ; then cat debian/$$i.README > debian/$$i.README.Debian ; fi ; \
	  cat debian/README.Debian >> debian/$$i.README.Debian ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_installdocs -A debian/README.source
	dh_installtex -A --priority=10 --flavor=lsr:full,tree:texlive
	dh_installchangelogs
	bash debian/convert-info-files-to-unix.sh
	bash debian/fix-manpages.sh
	dh_installinfo
	dh_installmime
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof

=== debian/watch ===
version=3
opts=pasv,dversionmangle=s/\.dfsg\.\d+$// ftp://ftp.tug.org/texlive/Images/texlive(....)-live-.*\.iso
